package com.uas.finance.util;

/**
 * @author sunyj
 * @since 2017年5月25日 上午11:09:36
 */
public class StringUtils {

	public static boolean isEmpty(Object str) {
		return (str == null || "".equals(str));
	}

	public static String reverse(String str) {
		if (isEmpty(str)) {
			return str;
		}
		char[] array = str.toCharArray();
		int begin = 0;
		int end = str.length() - 1;
		while (begin < end) {
			array[begin] = (char) (array[begin] ^ array[end]);
			array[end] = (char) (array[begin] ^ array[end]);
			array[begin] = (char) (array[begin] ^ array[end]);
			begin++;
			end--;
		}
		return new String(array);
	}
}
